#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetIntegrateMotor.h>
#include <GetIntegrateAdc.h>
#include <SetLCD3Char.h>
#include <SetCentiS.h>

int main(void)
{
    X3RCU_Init();
    unsigned char speed = 100;
    unsigned int var0 = 0;
    unsigned int x = 0;
    unsigned char ch = 1;
    SetLCDBack(1);
    while (1)
    {
        SetIntegrateMotor(_INTEGRATE_1_, 0);
        for (int _FOR_0_ = 0; _FOR_0_ < 10; _FOR_0_++ )
        {
            for (int _FOR_1_ = 0; _FOR_1_ < 4; _FOR_1_++ )
            {
                var0 = GetIntegrateAdc(_INTEGRATE_1_, ch);
                SetLCD3Char(x, 0, var0, YELLOW, BLACK);
                if ( ch<4 )
                {
                    ch++;x+=54;
                }
                else
                {
                    ch=1;x=0;
                }
            }
            SetCentiS(10);
        }
        SetIntegrateMotor(_INTEGRATE_1_, 2);
        for (int _FOR_2_ = 0; _FOR_2_ < 10; _FOR_2_++ )
        {
            for (int _FOR_3_ = 0; _FOR_3_ < 4; _FOR_3_++ )
            {
                var0 = GetIntegrateAdc(_INTEGRATE_1_, ch);
                SetLCD3Char(x, 0, var0, YELLOW, BLACK);
                if ( ch<4 )
                {
                    ch++;x+=54;
                }
                else
                {
                    ch=1;x=0;
                }
            }
            SetCentiS(10);
        }
    }
    while(1);
}

